Get recommendation
curl --request GET \
--url https://api.app.hrizn.io/v1/public/content-intelligence/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/content-intelligence/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content-intelligence/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content-intelligence/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content-intelligence/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suggestion_type": "<string>",
"comparison_subtype": "<string>",
"title": "<string>",
"description": "<string>",
"priority_score": 50,
"metadata": {},
"suggested_article_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Get recommendation
Returns a single content intelligence recommendation by ID.
GET
/
content-intelligence
/
{id}
Get recommendation
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Content intelligence recommendation ID
Response
Recommendation details
Hide child attributes
Hide child attributes
Type of recommendation (e.g. missing_model_page, comparison_opportunity)
For comparison_opportunity type only: cross_brand, trim, or cross_category
Human-readable recommendation title
Detailed description of the content opportunity
Priority from 0-100. Higher scores indicate more impactful content opportunities.
Required range:
0 <= x <= 100Type-specific data such as vehicle make/model/year, traffic estimates, competitor info. Shape varies by suggestion_type.
Recommended content type: basic, modellanding, comparison, salesevent, etc.
Available options:
active, dismissed, acted_on, expired Last modified on June 30, 2026
⌘I
